Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/optipng: new aport

From: Michael Koloberdin <koloberdin_at_gmail.com>
Date: Wed, 18 May 2016 17:04:15 +0000

---
 testing/optipng/APKBUILD           | 46 ++++++++++++++++++++++++++++++++++++++
 testing/optipng/builtin-zlib.patch | 14 ++++++++++++
 2 files changed, 60 insertions(+)
 create mode 100644 testing/optipng/APKBUILD
 create mode 100644 testing/optipng/builtin-zlib.patch
diff --git a/testing/optipng/APKBUILD b/testing/optipng/APKBUILD
new file mode 100644
index 0000000..0bca781
--- /dev/null
+++ b/testing/optipng/APKBUILD
_at_@ -0,0 +1,46 @@
+# Maintainer: Michael Koloberdin <koloberdin_at_gmail.com>
+pkgname=optipng
+pkgver=0.7.6
+pkgrel=0
+pkgdesc="Compresses PNG files to a smaller size, without losing any information."
+url="http://optipng.sourceforge.net/"
+arch="all"
+license="ZLIB"
+depends=""
+makedepends=""
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz
+	builtin-zlib.patch"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make prefix="$pkgdir/usr" mandir="$pkgdir/usr/share/man" install || return 1
+
+	# install license
+	install -Dm0644 LICENSE.txt "$pkgdir/usr/share/licenses/$pkgname/LICENSE" || return 1
+}
+
+md5sums="568e0738358450eca69ecf578d48f26c  optipng-0.7.6.tar.gz
+510408cb0f6cdcdf9c94ab9872f33a9a  builtin-zlib.patch"
+sha256sums="4870631fcbd3825605f00a168b8debf44ea1cda8ef98a73e5411eee97199be80  optipng-0.7.6.tar.gz
+3824daeba9185b5aa3e8a21dc243817bebb0cfb53ee102d3f2cc81ce5263fa73  builtin-zlib.patch"
+sha512sums="d31d7494c23413d87b601a706cc2faf82923156a818da66e0bfad11741aed065db8f1b0c088d2abd66899ac192408c05f594295ded2684c4549c5f03b140a184  optipng-0.7.6.tar.gz
+062b12062f6d80127f89da88d216ad69c152f85ff03537f3c389c3e7ecc798bf21d62e1bb1065a0234b68b1acda6ef670ef5971c45d7ed4bbd5bdd3786fdd0b0  builtin-zlib.patch"
diff --git a/testing/optipng/builtin-zlib.patch b/testing/optipng/builtin-zlib.patch
new file mode 100644
index 0000000..a09cdad
--- /dev/null
+++ b/testing/optipng/builtin-zlib.patch
_at_@ -0,0 +1,14 @@
+diff -urp optipng-0.7.6-orig/configure optipng-0.7.6/configure
+--- optipng-0.7.6-orig/configure	2014-12-01 07:25:00.000000000 +0200
++++ optipng-0.7.6/configure	2016-05-17 20:56:08.950224977 +0300
+_at_@ -234,6 +234,10 @@ then
+         fi
+         if test "$CPPFLAGS"
+         then
++            if test "$with_system_zlib" -eq 0
++            then
++                CPPFLAGS="-I../zlib ${CPPFLAGS}"
++            fi
+             sed_preconfig_libpng="
+                 $sed_preconfig_libpng
+                 s|^CPPFLAGS *=.*|CPPFLAGS = $CPPFLAGS|
-- 
2.6.6
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed May 18 2016 - 17:04:15 GMT